/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Dienst Verkeerskunde
 *                     WSRA
 * File:               CRAPDEF.H
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeldregeling busingreep
 *
 * datum:                   7 juni 1999
 * gewijzigd:               26 augustus 2004 aanpassing aan RWS C-versie 7.14,
 *                                           gebruik EGGPARMS ipv EPARMS
 *                                           andere afhandeling bussen
 *                                           loskoppeling busingreep van beperking busingreep
 * gewijzigd:               5 oktober 2005   aanpassing PPB_OP in craptab ivm conflicterende BR
 * versie:                  3.2
 */


/* declaratie arraynummers voor blokken */

#define BK1             0
#define BK2             1
#define BK3             2
#define BK4             3
						
#define NUMBK           4

/* declaratie arraynummers voor signaalgroepen */

#define SG02            0
#define SG05            1
#define SG08            2
#define SG11            3

#define NUMSG           4

/* declaratie arraynummers voor detectoren */

#define SG02_1          0   /* DP */
#define SG02_2          1   /* DS inmeldlus  */
#define SG02_3          2   /* DS uitmeldlus */

#define SG05_1          3   /* DP */

#define SG08_1          4   /* DP */
#define SG08_2          5   /* DS inmeldlus  */
#define SG08_3          6   /* DS inmeldlus  */
#define SG08_4          7   /* DS uitmeldlus */
#define SG08_5          8   /* DS uitmeldlus */

#define SG11_1          9   /* DP */

#define NUMD           10


/* declaratie arraynummers voor tijden */

#define T_UITST_BUS_02         0
#define T_UITST_BUS_08         1

#define T_MIN_BUS_02           2
#define T_MIN_BUS_08           3

#define T_MAX_BUS_02           4
#define T_MAX_BUS_08           5

#define T_AFK_02               6
#define T_AFK_05               7
#define T_AFK_08               8
#define T_AFK_11               9

#define NUMT                  10


/* declaratie arraynummers voor hulpfuncties */

#define H_BUS_OP_02            0
#define H_BUS_OP_08            1

#define H_BEPERK_BUS           2

#define NUMHF                  3


/* declaratie arraynummers voor klokken */

#define NUMKL                  0


/* declaratie arraynummers voor schakelaars */

#define NUMSCH                 0


/* declaratie arraynummers voor tellers */

#define NUMTL                  0

/* declaratie arraynummers voor extra geheel getal parameters */

#define EG_N_BUS_OP_02         0
#define EG_N_BUS_OP_08         1

#define EG_N_BEH_BUS_OP_02     2
#define EG_N_BEH_BUS_OP_08     3

#define EG_BR                  4
#define EG_MAX_N_BR            5

#define NUMEGGP                6

#define NUMOV                 10

/* declaratie arraynummers voor extra parameters */

#define EP_INM_GEB_BUS_02      0
#define EP_INM_GEB_BUS_08      1

#define NUMEP                  2
